.tdk-ui-message-displayer.container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
}

.tdk-ui-message-displayer.enable-eye-candy.info {
    background: #499bea;
    background: -moz-linear-gradient(top,  #499bea 0%, #207ce5 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#499bea), color-stop(100%,#207ce5));
    background: -webkit-linear-gradient(top,  #499bea 0%,#207ce5 100%);
    background: -o-linear-gradient(top,  #499bea 0%,#207ce5 100%);
    background: -ms-linear-gradient(top,  #499bea 0%,#207ce5 100%);
    background: linear-gradient(to bottom,  #499bea 0%,#207ce5 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#499bea', endColorstr='#207ce5',GradientType=0 );*/
}

.tdk-ui-message-displayer.disable-eye-candy.info {
    background-color: #207ce5;
}

.tdk-ui-message-displayer.enable-eye-candy.error {
    background: #ff3019;
    background: -moz-linear-gradient(top,  #ff3019 0%, #cf0404 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ff3019), color-stop(100%,#cf0404));
    background: -webkit-linear-gradient(top,  #ff3019 0%,#cf0404 100%);
    background: -o-linear-gradient(top,  #ff3019 0%,#cf0404 100%);
    background: -ms-linear-gradient(top,  #ff3019 0%,#cf0404 100%);
    background: linear-gradient(to bottom,  #ff3019 0%,#cf0404 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff3019', endColorstr='#cf0404',GradientType=0 );*/
}

.tdk-ui-message-displayer.disable-eye-candy.error {
    background-color: #cf0404;
}

.tdk-ui-message-displayer.enable-eye-candy.warning {
    background: #eab92d; /* Old browsers */
    background: -moz-linear-gradient(top,  #eab92d 0%, #c79810 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#eab92d), color-stop(100%,#c79810)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  #eab92d 0%,#c79810 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  #eab92d 0%,#c79810 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  #eab92d 0%,#c79810 100%); /* IE10+ */
    background: linear-gradient(to bottom,  #eab92d 0%,#c79810 100%); /* W3C */
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eab92d', endColorstr='#c79810',GradientType=0 ); *//* IE6-9 */
}

.tdk-ui-message-displayer.disable-eye-candy.warning {
    background-color: #c79810;
}

.tdk-ui-message-displayer .headline {
    position: relative;
}

.tdk-ui-message-displayer .headline-table-column {
    padding: 5px;
    text-align: center;
}

.tdk-ui-message-displayer .headline-table-column.close,
.tdk-ui-message-displayer .headline-table-column.icon,
.tdk-ui-message-displayer .headline-table-column.toggler {
    width: 24px;
}

.tdk-ui-message-displayer .headline-icon,
.tdk-ui-message-displayer .headline-toggler,
.tdk-ui-message-displayer .headline-text {
    vertical-align: middle;
}

.tdk-ui-message-displayer .headline-icon,
.tdk-ui-message-displayer .headline-toggler {
    width: 24px;
}

.tdk-ui-message-displayer .headline-table-column.text {
    color: #fff;
    text-align: left;
}

.tdk-ui-message-displayer .headline-table-column.close,
.tdk-ui-message-displayer .headline-table-column.toggler {
    cursor: pointer;
}

.tdk-ui-message-displayer.enable-eye-candy.info .headline-table-column.close:hover,
.tdk-ui-message-displayer.enable-eye-candy.info .headline-table-column.toggler:hover {
    background: #006de2;
    background: -moz-linear-gradient(top,  #006de2 0%, #004caf 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#006de2), color-stop(100%,#004caf));
    background: -webkit-linear-gradient(top,  #006de2 0%,#004caf 100%);
    background: -o-linear-gradient(top,  #006de2 0%,#004caf 100%);
    background: -ms-linear-gradient(top,  #006de2 0%,#004caf 100%);
    background: linear-gradient(to bottom,  #006de2 0%,#004caf 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#006de2', endColorstr='#004caf',GradientType=0 );*/
}

.tdk-ui-message-displayer.enable-eye-candy.info .headline-table-column.close:hover,
.tdk-ui-message-displayer.disable-eye-candy.info .headline-table-column.toggler:hover {
    background-color: #004caf;
}

.tdk-ui-message-displayer.enable-eye-candy.error .headline-table-column.close:hover,
.tdk-ui-message-displayer.enable-eye-candy.error .headline-table-column.toggler:hover {
    background: #d81515;
    background: -moz-linear-gradient(top,  #d81515 0%, #a50303 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#d81515), color-stop(100%,#a50303));
    background: -webkit-linear-gradient(top,  #d81515 0%,#a50303 100%);
    background: -o-linear-gradient(top,  #d81515 0%,#a50303 100%);
    background: -ms-linear-gradient(top,  #d81515 0%,#a50303 100%);
    background: linear-gradient(to bottom,  #d81515 0%,#a50303 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d81515', endColorstr='#a50303',GradientType=0 );*/
}

.tdk-ui-message-displayer.enable-eye-candy.error .headline-table-column.close:hover,
.tdk-ui-message-displayer.disable-eye-candy.error .headline-table-column.toggler:hover {
    background-color: #a50303;
}

.tdk-ui-message-displayer.enable-eye-candy.warning .headline-table-column.close:hover,
.tdk-ui-message-displayer.enable-eye-candy.warning .headline-table-column.toggler:hover {
    background: #c79810;
    background: -moz-linear-gradient(top,  #c79810 0%, #967500 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#c79810), color-stop(100%,#967500));
    background: -webkit-linear-gradient(top,  #c79810 0%,#967500 100%);
    background: -o-linear-gradient(top,  #c79810 0%,#967500 100%);
    background: -ms-linear-gradient(top,  #c79810 0%,#967500 100%);
    background: linear-gradient(to bottom,  #c79810 0%,#967500 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#c79810', endColorstr='#967500',GradientType=0 );*/
}

.tdk-ui-message-displayer.enable-eye-candy.warning .headline-table-column.close:hover,
.tdk-ui-message-displayer.disable-eye-candy.warning .headline-table-column.toggler:hover {
    background-color: #967500;
}

.tdk-ui-message-displayer .messages {
    position: relative;
    overflow: auto;
    border-top: 1px solid #545454;
}

.tdk-ui-message-displayer .message-list {
    position: relative;
    list-style: none;
    margin: 0;
    padding: 0;
}

.tdk-ui-message-displayer .message-list-item {
    padding: 10px;
    border-bottom: 1px solid #c6c6c6;
}

.tdk-ui-message-displayer .message-list-item:last-child {
    border-bottom: none;
}

.tdk-ui-message-displayer .message-list-item.info {
    background-color: #cee6ff;
}

.tdk-ui-message-displayer .message-list-item.error {
    background-color: #ffeaea;
}

.tdk-ui-message-displayer .message-list-item.warning {
    background-color: #ffffe2;
}

.tdk-ui-message-displayer .scroller {
    position: absolute;
    right: 0;
}

.tdk-ui-message-displayer.enable-eye-candy .scroller {
    -webkit-box-shadow: 1px 1px 5px 0px rgba(50, 50, 50, 0.75);
    -moz-box-shadow:    1px 1px 5px 0px rgba(50, 50, 50, 0.75);
    box-shadow:         1px 1px 5px 0px rgba(50, 50, 50, 0.75);

    -moz-border-radius-topleft: 5px;
    -moz-border-radius-bottomleft: 5px;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.tdk-ui-message-displayer .scroller-up,
.tdk-ui-message-displayer .scroller-down {
    display: block;
    width: 100%;
    text-align: center;
    cursor: pointer;
}

.tdk-ui-message-displayer .scroller-up {
    border-bottom: 1px solid #fff;
}

.tdk-ui-message-displayer .scroller-up-icon,
.tdk-ui-message-displayer .scroller-down-icon {
    width: 24px;
    vertical-align: middle;
}


.tdk-ui-message-displayer.enable-eye-candy .scroller {
    background: #45484d;
    background: -moz-linear-gradient(top,  #45484d 0%, #000000 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#45484d), color-stop(100%,#000000));
    background: -webkit-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: -o-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: -ms-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: linear-gradient(to bottom,  #45484d 0%,#000000 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#45484d', endColorstr='#000000',GradientType=0 );
}

.tdk-ui-message-displayer .message-list-toggler {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    padding: 0 20px;
}

.tdk-ui-message-displayer .message-list-toggler-icon {
    width: 24px;
    text-align: center;
}

.tdk-ui-message-displayer.enable-eye-candy .message-list-toggler {
    background: #45484d;
    background: -moz-linear-gradient(top,  #45484d 0%, #000000 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#45484d), color-stop(100%,#000000));
    background: -webkit-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: -o-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: -ms-linear-gradient(top,  #45484d 0%,#000000 100%);
    background: linear-gradient(to bottom,  #45484d 0%,#000000 100%);
    /*filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#45484d', endColorstr='#000000',GradientType=0 );*/

    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}